
Redmine - Feature #21447

Option to show email adresses by default

2015-12-07 19:53 - Mike Sweetman

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 3.2.1   

Resolution: Fixed   

Description

By default, I want users to show their email addresses (ref #20142). We use Redmine as our main organizational directory.

Related issues:

Related to Redmine - Feature #21042: Check "Hide my email address" by default... Closed

Has duplicate Redmine - Feature #2807: E-Mail address is shown public by defa... Closed 2009-02-22

Has duplicate Redmine - Feature #4130: Administrate default email visibility Closed 2009-10-28

Has duplicate Redmine - Feature #2836: Account's initial setting management i... Closed 2009-02-25

Associated revisions

Revision 14974 - 2015-12-13 16:21 - Jean-Philippe Lang

Option to show email adresses by default for new users (#21447).

Revision 14975 - 2015-12-13 16:22 - Jean-Philippe Lang

Adds label_default_values_for_new_users to locales (#21447).

Revision 15009 - 2016-01-07 05:16 - Toshi MARUYAMA

Merged r14974 and r14975 from trunk to 3.2-stable (#21447)

History

#1 - 2015-12-07 19:54 - Mike Sweetman

ref #21042. Typo in the description.

#2 - 2015-12-07 21:58 - Jean-Philippe Lang

- Subject changed from Can you add a setting so that we can reverse the change made in #21042? to Option to show email adresses by default

- Target version set to 3.2.1

#3 - 2015-12-13 16:23 - Jean-Philippe Lang

- Category set to Accounts / authentication

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Option added at the bottom of the "Authentification" settings.

#4 - 2015-12-15 20:43 - Mike Sweetman

Thanks! I'm using devel r14976 now and it's good. I extended this change a bit and added an option to disable self-notification by default. I attached

the patch to #21503.

#5 - 2016-01-07 05:19 - Toshi MARUYAMA

I merged r14974 and r14975 from trunk to 3.2-stable because r14975 has i18n key.

#6 - 2016-01-07 05:47 - Go MAEDA

- Has duplicate Feature #2807: E-Mail address is shown public by default - No admin override added
#7 - 2016-01-09 10:14 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Thanks.

#8 - 2016-01-17 07:22 - Go MAEDA

- Has duplicate Feature #4130: Administrate default email visibility added

#9 - 2018-09-18 18:46 - Go MAEDA

- Related to Feature #21042: Check "Hide my email address" by default for new users added

#10 - 2020-06-22 11:21 - Go MAEDA

- Has duplicate Feature #2836: Account's initial setting management interface added
